#!/bin/sh
IMAGE="Krestianstvo.image"
DIR=`dirname $0`
EXE="$DIR/Contents/coglinux/bin"
LIB="$DIR/Contents/coglinux/lib/squeak/3.9-7"
RES="$DIR/Contents/Resources"

# make source link if necessary
if [ ! -r $RES/KrestianstvoV41.sources ] ; then
        ln -s $RES/KrestianstvoV41.sources
fi

# make libGL.so link if necessary
if [ ! -x /usr/lib/libGL.so -a -x /usr/lib/libGL.so.1 ] ; then
        if [ ! -x  "$EXE/libGL.so" ] ; then
                echo Creating libGL.so symlink in $EXE
                ln -sf /usr/lib/libGL.so.1 "$EXE/libGL.so"
        fi
fi
    

# Slight modification to cobalt.sh - line 26:
# make libopenal.so link if necessary - OpenAL is a good thing
if [ ! -f "$LIB/libopenal.so" -a -f $LIB/libopenal.so.1 ] ; then
    echo Creating libopenal.so symlink in $LIB
    ln -s $LIB/libopenal.so.1 "$LIB/libopenal.so"
elif [ ! -f "$LIB/libopenal.so" -a -f $LIB/libopenal.so.0 ] ; then
    echo Creating libopenal.so symlink in $LIB
    ln -s $LIB/libopenal.so.0 "$LIB/libopenal.so"
fi


exec "$EXE/squeak" -plugins "$LIB" \
		-encoding UTF-8 \
        -vm-display-X11 -swapbtn \
        "$RES/$IMAGE"


